Crazy Eddies GUI System: CEGUI::Menubar Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions
CEGUI::Menubar Class Reference

Base class for menu bars. More...

Inheritance diagram for CEGUI::Menubar:
[legend]
Collaboration diagram for CEGUI::Menubar:
[legend]

List of all members.

## Public Member Functions
| Menubar (const String &type, const String &name)
| Constructor for Menubar objects.
virtual | ~Menubar (void)
| Destructor for Menubar objects.
## Static Public Attributes
static const String | EventNamespace
| Namespace for global events.
static const String | WidgetTypeName
| Window factory name.
## Protected Member Functions
virtual void | layoutItemWidgets ()
| Setup size and position for the item widgets attached to this Menubar.
virtual Size | getContentSize () const
| Returns the Size in unclipped pixels of the content attached to this ItemListBase that is attached to it.
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.

## Detailed Description

Base class for menu bars.

## Member Function Documentation

virtual Size CEGUI::Menubar::getContentSize | ( |  | ) | const`[protected, virtual]`

Returns the Size in unclipped pixels of the content attached to this ItemListBase that is attached to it.

Returns:
  Size object describing in unclipped pixels the size of the content ItemEntries attached to this menu.

Implements CEGUI::ItemListBase.

virtual void CEGUI::Menubar::layoutItemWidgets | ( |  | ) | `[protected, virtual]`

Setup size and position for the item widgets attached to this Menubar.

Returns:
  Nothing.

Implements CEGUI::ItemListBase.

virtual bool CEGUI::Menubar::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.

Parameters:

  class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::MenuBase.

References CEGUI::MenuBase::testClassName_impl().